libogg documentation | libogg release 1.2.1 - 20101029

# oggpack_readinit

declared in "ogg/ogg.h";

This function takes an ordinary buffer and prepares an oggpack_buffer for reading using the Ogg bitpacking functions.

    void oggpack_readinit(oggpack_buffer *b,unsigned char *buf,int bytes);

### Parameters

b
  Pointer to oggpack_buffer to be initialized with some extra markers to ease bit navigation and manipulation.
buf
  Original data buffer, to be inserted into the oggpack_buffer so that it can be read using bitpacking functions.

### Return Values

> - No values are returned.

copyright © 2000-2010 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.2.1 - 20101029